"use strict";
cc._RF.push(module, '3b39607gyVEcqOxKznisUju', 'DynamicAdd');
// DynamicAdd.js

"use strict";

// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        parentNode: {
            // ATTRIBUTES:
            default: null,
            type: cc.Node
        },

        testPrefab: {
            default: null,
            type: cc.Prefab
        }
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start: function start() {
        var node = cc.instantiate(this.testPrefab);
        this.parentNode.addChild(node, 99);
        this.init = false;
        var node2 = cc.instantiate(this.testPrefab);
        this.parentNode.addChild(node2);
        node2.setPosition(-100, -200);
        node2.zIndex = 99;

        this.node2 = node2;
    },
    update: function update(dt) {
        this.init = !this.init;
        this.node2.zIndex = this.init ? 100 : 98;
    }
});

cc._RF.pop();