(function() {"use strict";var __module = CC_EDITOR ? module : {exports:{}};var __filename = 'preview-scripts/assets/ZindexTest.js';var __require = CC_EDITOR ? function (request) {return cc.require(request, require);} : function (request) {return cc.require(request, __filename);};function __define (exports, require, module) {"use strict";
cc._RF.push(module, 'c782fmfHg5FkKMjkKwIj8lh', 'ZindexTest', __filename);
// ZindexTest.js

"use strict";

// Learn cc.Class:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://docs.cocos2d-x.org/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] https://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        parentNode: {
            // ATTRIBUTES:
            default: null,
            type: cc.Node
        },

        testPrefab: {
            default: null,
            type: cc.Prefab
        },

        btnLab: {
            default: null,
            type: cc.Label
        }
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start: function start() {
        this.enableUpdate = false;
        this.btnLab.string = "关闭";

        var cow = 40;
        var count = cow * cow;
        var width = cow * 10;
        var height = cow * 10;
        for (var i = 0; i < count; i++) {
            var node = cc.instantiate(this.testPrefab);
            this.parentNode.addChild(node);

            var x = i % cow * node.width;
            var y = i / (cow * 2) * node.height;
            node.setPosition(x - width / 2, y - height / 4);
        }
    },
    click: function click() {
        var childs = this.parentNode.children;
        for (var i = 0, len = childs.length; i < len; i++) {
            var index = Math.random() * len;
            var node = childs[i];
            node.zIndex = index;
        }
    },
    open: function open() {
        this.enableUpdate = !this.enableUpdate;
        this.btnLab.string = this.enableUpdate ? "开启" : "关闭";
    },
    update: function update(dt) {
        if (this.enableUpdate) {
            this.click();
        }
    }
});

cc._RF.pop();
        }
        if (CC_EDITOR) {
            __define(__module.exports, __require, __module);
        }
        else {
            cc.registerModuleFunc(__filename, function () {
                __define(__module.exports, __require, __module);
            });
        }
        })();
        //# sourceMappingURL=ZindexTest.js.map
        